| Flutter Impeller |

Public Member Functions | List of all members
impeller::scene::UnskinnedVertexBufferGeometry Class Referencefinal

`#include <geometry.h>`

Inheritance diagram for impeller::scene::UnskinnedVertexBufferGeometry:

## Public Member Functions
| UnskinnedVertexBufferGeometry ()
| ~UnskinnedVertexBufferGeometry () override
void | SetVertexBuffer (VertexBuffer vertex_buffer)
GeometryType | GetGeometryType () const override
VertexBuffer | GetVertexBuffer (Allocator &allocator) const override
void | BindToCommand (const SceneContext &scene_context, HostBuffer &buffer, const Matrix &transform, RenderPass &pass) const override
Public Member Functions inherited from impeller::scene::Geometry
virtual | ~Geometry ()
virtual void | SetJointsTexture (const std::shared_ptr< Texture > &texture)

## Additional Inherited Members
Static Public Member Functions inherited from impeller::scene::Geometry
static std::shared_ptr< CuboidGeometry > | MakeCuboid (Vector3 size)
static std::shared_ptr< Geometry > | MakeVertexBuffer (VertexBuffer vertex_buffer, bool is_skinned)
static std::shared_ptr< Geometry > | MakeFromFlatbuffer (const fb::MeshPrimitive &mesh, Allocator &allocator)

## Detailed Description

Definition at line 79 of file geometry.h.

## Constructor & Destructor Documentation

## ◆ UnskinnedVertexBufferGeometry()

impeller::scene::UnskinnedVertexBufferGeometry::UnskinnedVertexBufferGeometry | ( |  | ) |
| default

UnskinnedVertexBufferGeometry

## ◆ ~UnskinnedVertexBufferGeometry()

impeller::scene::UnskinnedVertexBufferGeometry::~UnskinnedVertexBufferGeometry | ( |  | ) |
| override default

## Member Function Documentation

## ◆ BindToCommand()

void impeller::scene::UnskinnedVertexBufferGeometry::BindToCommand | ( | const SceneContext & | scene_context,
|  | HostBuffer & | buffer,
|  | const Matrix & | transform,
|  | RenderPass & | pass
| ) |  | const
| override virtual

Implements impeller::scene::Geometry.

Definition at line 200 of file geometry.cc.

204 {
205 pass.SetVertexBuffer(
206 GetVertexBuffer(*scene_context.GetContext()->GetResourceAllocator()));
207
208 UnskinnedVertexShader::FrameInfo info;
209 info.mvp = transform;
210 UnskinnedVertexShader::BindFrameInfo(pass, buffer.EmplaceUniform(info));
211 }

References impeller::HostBuffer::EmplaceUniform(), impeller::scene::SceneContext::GetContext(), GetVertexBuffer(), impeller::RenderPass::SetVertexBuffer(), and transform.

## ◆ GetGeometryType()

GeometryType impeller::scene::UnskinnedVertexBufferGeometry::GetGeometryType | ( |  | ) | const
| override virtual

Implements impeller::scene::Geometry.

Definition at line 189 of file geometry.cc.

189 {
190 return GeometryType::kUnskinned;
191 }

References impeller::scene::kUnskinned.

## ◆ GetVertexBuffer()

VertexBuffer impeller::scene::UnskinnedVertexBufferGeometry::GetVertexBuffer | ( | Allocator & | allocator | ) | const
| override virtual

Implements impeller::scene::Geometry.

Definition at line 194 of file geometry.cc.

195 {
196 return vertex_buffer_;
197 }

Referenced by BindToCommand().

## ◆ SetVertexBuffer()

void impeller::scene::UnskinnedVertexBufferGeometry::SetVertexBuffer | ( | VertexBuffer | vertex_buffer | ) |

Definition at line 183 of file geometry.cc.

184 {
185 vertex_buffer_ = std::move(vertex_buffer);
186 }

The documentation for this class was generated from the following files:

- impeller/scene/geometry.h
- impeller/scene/geometry.cc

impeller::scene::GeometryType::kUnskinned
@ kUnskinned
impeller::scene::UnskinnedVertexBufferGeometry::GetVertexBuffer
VertexBuffer GetVertexBuffer(Allocator &allocator) const override
Definition: geometry.cc:194
transform
Matrix transform
Definition: gaussian_blur_filter_contents.cc:231